function main(data) {
  var bageLabeOne = "";
  var bageLabeTwo = "";

  var author = data.head.author;

  var badges = author.badge;
  var badgeV2 = author.badge_v2;

  var drawableList = new Array();

  var isIdentity = false;

  if (badgeV2 && badgeV2.merged_badges && badgeV2.merged_badges.length > 0) {
    var detailMergedBadges = badgeV2.merged_badges;

    for (var i in detailMergedBadges) {
      var type = detailMergedBadges[i].type;

      if ("identity" == type) {
        drawableList[i] = "zhtemplate_badge_blue_14_strock";
      } else if ("best" == type || "best_answerer" == type) {
        drawableList[i] = "zhtemplate_badge_yellow_14_strock";
      } else if ("reward" == type) {
        drawableList[i] = "zhtemplate_badge_reward";
      }
    }
  } else {
    if (badges && badges.length > 0) {
      for (var i in badges) {
        var type = badges[i].type;
        if ("best" == type || "best_answerer" == type) {
          drawableList.unshift("zhtemplate_badge_yellow_14_strock");
        } else if ("identity" == type) {
          isIdentity = true;
          drawableList[i] = "zhtemplate_badge_blue_14_strock";
        } else if ("reward" == type) {
          drawableList[i] = "zhtemplate_badge_reward";
        }
      }
    }
  }

  if (!isIdentity && isZhihuVirtualAccount(author.id)) {
    drawableList[0] = "zhtemplate_badge_blue_14_strock";
  }

  if (drawableList.length > 0) {
    if (drawableList.length == 1) {
      bageLabeOne = "local:" + drawableList[0];
    } else {
      bageLabeOne = "local:" + drawableList[0];
      bageLabeTwo = "local:" + drawableList[1];
    }
  }

  data.bage_labe_one = bageLabeOne;
  data.bage_labe_two = bageLabeTwo;

  // target id to string
  stringQuestionId = data.target.id + "";

  return {
    ...data,
    bage_labe_one: bageLabeOne,
    bage_labe_two: bageLabeTwo,
    string_question_id: stringQuestionId,
  };
}

function isZhihuVirtualAccount(id) {
  try {
    if (parseInt(id) < 0) {
      return true;
    }
  } catch (err) {}
  return false;
}
